baseUrl: https://x-staging.devbettercloud.com
credentialUrl: https://x-staging.devbettercloud.com
rawDataStorageUrl: https://x-staging.devbettercloud.com
syncManagerUrl: https://x-staging.devbettercloud.com

coreTaskScheduler:
  baseUrl: https://x-staging.devbettercloud.com
  basePath: /core-task-scheduler-micro/private/api/v1/jobs

directoryFetcherSync:
  baseUrl: https://x-staging.devbettercloud.com
  basePath: /ivr/directory/registration/sync/v2

bcUserApi:
  baseUrl: https://x-staging.devbettercloud.com
  basePath: /directory/users/v1/hmac/bcusers/
  groupsPath: /groups

kafka:
  bootstrapServers: staging.confluent.service.bettercloud:6667,staging.confluent.service.bettercloud:6667,staging.confluent.service.bettercloud:6667
  schemaRegistryUrl: http://staging.confluent.service.bettercloud:8081

hmac:
  key: sm://bettercloud_hmac_nonprod_lookup
  value: sm://bettercloud_hmac_nonprod_value

integrations:
  - name: redhammr.net__workday
    integrationId: dcd631dd-ccb3-11ec-8a6d-330ba448714f
    tenantId: f69c2644-824f-473c-b8c7-517c9fc1221d
    tenantName: redhammer.net
    providerId: 9eb9513c-f44c-329a-a5ce-6abb83875f65
    providerName: workday
    externalId: bettercloud_dpt1
    instanceUrl: https://wd2-impl-services1.workday.com

  - name: redhammr.net__bamboohr
    integrationId: be889f21-be02-11ed-84b0-e1d134321ad6
    tenantId: f69c2644-824f-473c-b8c7-517c9fc1221d
    tenantName: redhammer.net
    providerId: 61fb08c5-1977-4a7f-987c-9eee177c6473
    providerName: bamboohr
    externalId: guardiansofthecloud4
    instanceUrl: guardiansofthecloud4

  - name: simplysqueeze.me__bamboohr
    integrationId: 1cf0d7be-61ee-11ed-a440-b9943ebe9a7e
    tenantId: 4e34d7a5-098c-11ec-bb61-f5467a0c2a5e
    tenantName: simplysqueeze.me
    providerId: 61fb08c5-1977-4a7f-987c-9eee177c6473
    providerName: bamboohr
    externalId: guardiansofthecloud1
    instanceUrl: # null

  - name: betterdoge.com__okta
    integrationId: 2d8e7409-a731-11ed-95c2-bd66eaf4c20b
    tenantId: 554411d5-a72b-11ed-b198-3317ed683480
    tenantName: betterdoge.com
    providerId: 2eaad715-9265-495d-aec0-14a7a37cc85d
    providerName: okta
    externalId: dev-443906.oktapreview.com
    instanceUrl: https://dev-443906.oktapreview.com

  - name: simplysqueeze.me__okta
    integrationId: 4e109592-bf6e-11ec-a6dc-c3bf1af6ff6c
    tenantId: 4e34d7a5-098c-11ec-bb61-f5467a0c2a5e
    tenantName: simplysqueeze.me
    providerId: 2eaad715-9265-495d-aec0-14a7a37cc85d
    providerName: okta
    externalId: dev-966969.oktapreview.com
    instanceUrl: https://dev-966969.oktapreview.com

  - name: simplysqueeze.me__microsoft
    integrationId: 798f1b4c-441f-11ed-ac52-372edfcc99a3
    tenantId: 4e34d7a5-098c-11ec-bb61-f5467a0c2a5e
    tenantName: simplysqueeze.me
    providerId: 3ffda57f-f4e3-4460-b35b-c27666e91a71
    providerName: microsoft_azure
    externalId: e4afb9bd-db36-45d5-a0ec-ebff00364482
    instanceUrl: simplysqueeze

  - name: betterrsi3.com__microsoft
    integrationId: 8d6a3edb-3661-11eb-8507-bb7c98814a25
    tenantId: bfdce534-28f7-11eb-b318-edc4eff55980
    tenantName: betterrsi3.com
    providerId: 3ffda57f-f4e3-4460-b35b-c27666e91a71
    providerName: microsoft_azure
    externalId: b20e990b-8c69-4627-9615-b267c243483f
    instanceUrl: betterrsi3

  - name: bogus-domain.net__fakeprovider
    integrationId: 00000000-0000-0000-00000000000000000
    tenantId: 11111111-1111-1111-11111111111111111
    tenantName: bogus-domain.net
    providerId: 22222222-2222-2222-22222222222222222
    providerName: fakeprovider
    externalId: this-is-an-id
    instanceUrl: bogus-domain.net